Resource icon

CycloDS Evolution DLDI standalone version 1.2

You dont have to dldi patch any homebrew with the cyclods evo (slot-1) ... but here is the latest version for patching tools ;-) DLDI V1.2 compatible with SDHC cards ( V1.1 was not )
General chit-chat
Help Users
    Xdqwerty @ Xdqwerty: @SylverReZ, so you can feel the ram and the cpu when you put it on your foot?